<?php
// Página principal del plugin...
if (!function_exists('get_delimiter'))
{
function get_delimiter($csvFile)
{
    $delimiters = array(
        ';' => 0,
        ',' => 0,
        "\t" => 0,
        "|" => 0
    );
    $handle = fopen($csvFile, "r");
    $firstLine = fgets($handle);
    fclose($handle); 
    foreach ($delimiters as $delimiter => &$counter) {
        $counter = count(str_getcsv($firstLine, $delimiter));
    }

    return array_search(max($delimiters), $delimiters);
}
}

if (!function_exists('calcular_entradas'))
{
function calcular_entradas($csvFile)
{ 
$archivo_csv = $csvFile;

// Lee todas las líneas del archivo en un array
$lineas = file($archivo_csv, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

// Cuenta el número de elementos en el array (número de filas)
$num_filas = count($lineas);
return $num_filas - 1;
}
}
